<?xml version="1.0" encoding="utf-8"?>
<com.guadou.lib_baselib.view.shimmer.ShimmerLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/shimmer_layout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:tag="shimmer_layout">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_12dp"
            android:paddingTop="@dimen/d_13dp"
            android:paddingRight="@dimen/d_12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_45dp"
                    android:layout_height="@dimen/d_45dp"
                    android:background="@drawable/shimmer_circle_background" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <View
                        android:layout_width="@dimen/d_100dp"
                        android:layout_height="@dimen/d_25dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:background="@color/shimmer_background_color" />

                    <View
                        android:layout_width="@dimen/d_120dp"
                        android:layout_height="@dimen/d_20dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:background="@color/shimmer_background_color" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_60dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />


                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/shimmer_background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_12dp"
            android:paddingTop="@dimen/d_13dp"
            android:paddingRight="@dimen/d_12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_45dp"
                    android:layout_height="@dimen/d_45dp"
                    android:background="@drawable/shimmer_circle_background" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <View
                        android:layout_width="@dimen/d_100dp"
                        android:layout_height="@dimen/d_25dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:background="@color/shimmer_background_color" />

                    <View
                        android:layout_width="@dimen/d_120dp"
                        android:layout_height="@dimen/d_20dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:background="@color/shimmer_background_color" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_60dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />


                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/shimmer_background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_12dp"
            android:paddingTop="@dimen/d_13dp"
            android:paddingRight="@dimen/d_12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_45dp"
                    android:layout_height="@dimen/d_45dp"
                    android:background="@drawable/shimmer_circle_background" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <View
                        android:layout_width="@dimen/d_100dp"
                        android:layout_height="@dimen/d_25dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:background="@color/shimmer_background_color" />

                    <View
                        android:layout_width="@dimen/d_120dp"
                        android:layout_height="@dimen/d_20dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:background="@color/shimmer_background_color" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_60dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />


                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/shimmer_background_color" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="@dimen/d_12dp"
            android:paddingTop="@dimen/d_13dp"
            android:paddingRight="@dimen/d_12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_45dp"
                    android:layout_height="@dimen/d_45dp"
                    android:background="@drawable/shimmer_circle_background" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <View
                        android:layout_width="@dimen/d_100dp"
                        android:layout_height="@dimen/d_25dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:background="@color/shimmer_background_color" />

                    <View
                        android:layout_width="@dimen/d_120dp"
                        android:layout_height="@dimen/d_20dp"
                        android:layout_marginLeft="@dimen/d_10dp"
                        android:layout_marginTop="@dimen/d_5dp"
                        android:background="@color/shimmer_background_color" />

                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/d_60dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:background="@color/shimmer_background_color" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_10dp"
                android:gravity="center"
                android:orientation="horizontal">

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />


                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

                <View
                    android:layout_width="@dimen/d_80dp"
                    android:layout_height="@dimen/d_80dp"
                    android:layout_marginRight="@dimen/d_25dp"
                    android:background="@drawable/shimmer_bg_rounded_corners5" />

            </LinearLayout>

        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/d_10dp"
            android:layout_marginTop="@dimen/d_10dp"
            android:background="@color/shimmer_background_color" />

    </LinearLayout>

</com.guadou.lib_baselib.view.shimmer.ShimmerLayout>
